<?php

/**
 * Header Theme Options
 *
 * @package computer-repair-solutions
 */

$computer_repair_solutions_default = computer_repair_solutions_get_default_theme_options();

$wp_customize->add_section('computer_repair_solutions_header_section', array(

    'title' => esc_html__('Header Section', 'computer-repair-solutions'),
    'capability' => 'edit_theme_options',
    'panel' => 'computer_repair_solutions_theme_section_panel'

));

$wp_customize->add_setting(
    'computer_repair_solutions_header_address',
    array(
        'default'           => __( '🔧 Expert Tech Repair - Fast, Reliable, Affordable', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_header_address',
    array(
        'label' => __('Text', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'settings' => 'computer_repair_solutions_header_address',
        'type' => 'text'
    )
);
// SOCIAL ICON 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_icons_first',
    array(
        'default'           => 'facebook-f',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_icons_first',
    array(
        'label'   => __('Social Icon 1 (Font Awesome)', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'text',
    )
);

// SOCIAL LINK 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_link_first',
    array(
        'default'           => '#',
        'type' => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_link_first',
    array(
        'label'   => __('Social Link 1 URL', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'url',
    )
);
// SOCIAL ICON 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_icons_sec',
    array(
        'default'           => 'twitter',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_icons_sec',
    array(
        'label'   => __('Social Icon 2 (Font Awesome)', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'text',
    )
);

// SOCIAL LINK 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_link_sec',
    array(
        'default'           => '#',
        'type' => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_link_sec',
    array(
        'label'   => __('Social Link 2 URL', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'url',
    )
);
// SOCIAL ICON 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_icons_third',
    array(
        'default'           => 'instagram',
        'type' => 'theme_mod',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_icons_third',
    array(
        'label'   => __('Social Icon 3 (Font Awesome)', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'text',
    )
);

// SOCIAL LINK 1
$wp_customize->add_setting(
    'computer_repair_solutions_social_link_third',
    array(
        'default'           => '#',
        'type' => 'theme_mod',
        'sanitize_callback' => 'esc_url_raw',
    )
);

$wp_customize->add_control(
    'computer_repair_solutions_social_link_third',
    array(
        'label'   => __('Social Link 3 URL', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'type'    => 'url',
    )
);



$wp_customize->add_setting(
    'computer_repair_solutions_header_tellphone',
    array(
        'default'           => __( '(555) 911-ELEC', 'computer-repair-solutions' ),
        'type'              => 'theme_mod',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_header_tellphone',
    array(
        'label' => __('Emergency Number', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'settings' => 'computer_repair_solutions_header_tellphone',
        'type' => 'text'
    )
);

// ///////// Top Background Color
$wp_customize->add_setting('topheader_bg_color', array(
    'default'   => '#000',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
    ));
  
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'topheader_bg_color', array(
    'section' => 'computer_repair_solutions_header_section',
    'label'      => esc_html__('Top Header Background Color', 'computer-repair-solutions'),
    )));

// ////////// Button
$wp_customize->add_setting(
    'computer_repair_solutions_header_btntext',
    array(
        'default' => __('Enquire Now', 'computer-repair-solutions'),
        'type' => 'theme_mod',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    'computer_repair_solutions_header_btntext',
    array(
        'label' => __('Button Text', 'computer-repair-solutions'),
        'section' => 'computer_repair_solutions_header_section',
        'settings' => 'computer_repair_solutions_header_btntext',
        'type' => 'text'
    )
);
// Button URL
$wp_customize->add_setting('computer_repair_solutions_header_btnlink', array(
    'default' => 'Enter the Button URL',
    'type' => 'theme_mod',
    'sanitize_callback' => 'esc_url_raw',
));

$wp_customize->add_control('computer_repair_solutions_header_btnlink', array(
    'label' => __('Button URL', 'computer-repair-solutions'),
    'section' => 'computer_repair_solutions_header_section',
    'settings' => 'computer_repair_solutions_header_btnlink',
    'type' => 'url',
));

// ///////// Button Background Color
$wp_customize->add_setting('button_bg_color', array(
    'default'   => '#FFB300',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
    ));
  
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'button_bg_color', array(
    'section' => 'computer_repair_solutions_header_section',
    'label'      => esc_html__('Button Background Color', 'computer-repair-solutions'),
    )));

    // ///////// Button text Color
$wp_customize->add_setting('button_text_color', array(
    'default'   => '#000',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
    ));
  
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'button_text_color', array(
    'section' => 'computer_repair_solutions_header_section',
    'label'      => esc_html__('Button Text Color', 'computer-repair-solutions'),
    )));

    // ///////// Button text Color
$wp_customize->add_setting('menu_text_color', array(
    'default'   => '#000',
    'transport' => 'refresh',
    'sanitize_callback' => 'sanitize_hex_color',
    ));
  
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'menu_text_color', array(
    'section' => 'computer_repair_solutions_header_section',
    'label'      => esc_html__('Menu Text Color', 'computer-repair-solutions'),
    )));
